Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 4fc026ef671b8cdd8c60814e135dc362072ac718)
+++ BOOK/patches.ent	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -1,101 +1,121 @@
 <?xml version="1.0" encoding="ISO-8859-1"?>
 
-<!ENTITY patches-root "http://patches.cross-lfs.org/sysroot-dev/">
+<!ENTITY patches-root "&lfs-root;patches/downloads/">
 
 <!-- Start of Common Patches -->
 
-<!ENTITY bash-branch_update-patch "bash-&bash-version;-branch_update-6.patch">
-<!ENTITY bash-branch_update-patch-md5 "b80de9ff5aa41a3e6ed2cdaa7c15027a">
-<!ENTITY bash-branch_update-patch-size "40 KB">
+<!ENTITY bash-fixes-patch "bash-&bash-version;-fixes-8.patch">
+<!ENTITY bash-fixes-patch-md5 "bc337045fa4c5839babf0306cc9df6d0">
+<!ENTITY bash-fixes-patch-size "23 KB">
 
-<!ENTITY binutils-branch_update-patch "binutils-&binutils-version;-branch_update-5.patch">
-<!ENTITY binutils-branch_update-patch-md5 "577d2c47daf07e35041382f4d5d6581e">
-<!ENTITY binutils-branch_update-patch-size "557 KB">
+<!ENTITY binutils-posix-patch "binutils-&binutils-version;-posix-1.patch">
+<!ENTITY binutils-posix-patch-md5 "7e42a8edc0c59246bbc58c428256113c">
+<!ENTITY binutils-posix-patch-size "4.9 KB">
 
-<!ENTITY coreutils-uname-patch "coreutils-&coreutils-version;-uname-1.patch">
-<!ENTITY coreutils-uname-patch-md5 "e21c03d8d79e07366ee558ab4b3c5ece">
-<!ENTITY coreutils-uname-patch-size "4 KB">
+<!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">
+<!ENTITY bzip2-docs-patch-md5 "9e5dfbf4814b71ef986b872c9af84488">
+<!ENTITY bzip2-docs-patch-size "1.7 KB">
 
-<!ENTITY diffutils-i18n-patch "diffutils-&diffutils-version;-i18n-1.patch">
-<!ENTITY diffutils-i18n-patch-md5 "2e176c390bf4dca2fb088e0a16261a96">
-<!ENTITY diffutils-i18n-patch-size "17 KB">
+<!ENTITY bzip2-remove_tempfile-patch "bzip2-&bzip2-version;-remove_tempfile-1.patch">
+<!ENTITY bzip2-remove_tempfile-patch-md5 "bcadb0ce282c96af15a86a2ccdac0765">
+<!ENTITY bzip2-remove_tempfile-patch-size "1.8 KB">
 
-<!ENTITY eglibc-fixes-patch "eglibc-&eglibc-version;-fixes-2.patch">
-<!ENTITY eglibc-fixes-patch-md5 "082eb9a8e2019ce31dff6a9b1f8d2a7c">
-<!ENTITY eglibc-fixes-patch-size "2 KB">
+<!ENTITY bzip2-bzgrep-patch "bzip2-&bzip2-version;-bzgrep_security-1.patch">
+<!ENTITY bzip2-bzgrep-patch-md5 "4eae50e4fd690498f23d3057dfad7066">
+<!ENTITY bzip2-bzgrep-patch-size "1.3 KB">
 
-<!ENTITY file-cross_compile-patch "file-&file-version;-cross_compile-1.patch">
-<!ENTITY file-cross_compile-patch-md5 "17956303345b8514a9c2bdc3939a21e5">
-<!ENTITY file-cross_compile-patch-size "1 KB">
+<!ENTITY coreutils-suppress-patch "coreutils-&coreutils-version;-suppress_uptime_kill_su-1.patch">
+<!ENTITY coreutils-suppress-patch-md5 "227d41a6d0f13c31375153eae91e913d">
+<!ENTITY coreutils-suppress-patch-size "13 KB">
 
-<!ENTITY gcc-branch_update-patch "gcc-&gcc-version;-branch_update-1.patch">
-<!ENTITY gcc-branch_update-patch-md5 "ab8fc23fb2814b2d1e4128fa8d02f4e2">
-<!ENTITY gcc-branch_update-patch-size "184 KB">
+<!ENTITY expect-spawn-patch "expect-&expect-version;-spawn-2.patch">
+<!ENTITY expect-spawn-patch-md5 "7706e1e8238c72eed8dc905d6f3b6aa9">
+<!ENTITY expect-spawn-patch-size "6.9 KB">
 
-<!ENTITY grep-i18n-patch "grep-&grep-version;-i18n-1.patch">
-<!ENTITY grep-i18n-patch-md5 "337d017202d7e3b08d428a89da3ee572">
-<!ENTITY grep-i18n-patch-size "26 KB">
+<!ENTITY gawk-segfault-patch "gawk-&gawk-version;-segfault_fix-1.patch">
+<!ENTITY gawk-segfault-patch-md5 "7679530d88bf3eb56c42eb6aba342ddb">
+<!ENTITY gawk-segfault-patch-size "1.3 KB">
 
-<!ENTITY iputils-fixes-patch "iputils-&iputils-version;-fixes-2.patch">
-<!ENTITY iputils-fixes-patch-md5 "31a39902b0d343233d48ef0f3c038559">
-<!ENTITY iputils-fixes-patch-size "6 KB">
+<!ENTITY gcc-cross_search-patch "gcc-&gcc-version;-cross_search_paths-1.patch">
+<!ENTITY gcc-cross_search-patch-md5 "541fe39d228ddaa0d8396a35ec3a0ada">
+<!ENTITY gcc-cross_search-patch-size "2 KB">
 
-<!ENTITY iputils-manpages-patch "iputils-&iputils-version;-manpages-2.patch">
-<!ENTITY iputils-manpages-patch-md5 "fc3ceca15794cc0f9d84a43a21692aeb">
-<!ENTITY iputils-manpages-patch-size "29 KB">
+<!ENTITY gcc-PR20425-patch "gcc-&gcc-version;-PR20425-1.patch">
+<!ENTITY gcc-PR20425-patch-md5 "95535bda8e4d37d30251db0b121b5374">
+<!ENTITY gcc-PR20425-patch-size "36 KB">
 
-<!ENTITY man-new_compressors-patch "man-&man-version;-new_compressors-1.patch">
-<!ENTITY man-new_compressors-patch-md5 "efebe29737e80c2f6de4833182f1edb6">
-<!ENTITY man-new_compressors-patch-size "2 KB">
+<!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
+<!ENTITY gcc-posix-patch-md5 "0d88068740a0e00780891f2cb905b808">
+<!ENTITY gcc-posix-patch-size "9 KB">
 
-<!ENTITY man-i18n-patch "man-&man-version;-i18n-1.patch">
-<!ENTITY man-i18n-patch-md5 "8b189d6500461797250ae9f3e5638dd5">
-<!ENTITY man-i18n-patch-size "10 KB">
+<!ENTITY glibc-libgcc_eh-patch "glibc-&glibc-version;-libgcc_eh-1.patch">
+<!ENTITY glibc-libgcc_eh-patch-md5 "e5122ea7b89a5f22615eaadf8e46b334">
+<!ENTITY glibc-libgcc_eh-patch-size "1 KB">
 
-<!ENTITY mpfr-branch_update-patch "mpfr-&mpfr-version;-branch_update-2.patch">
-<!ENTITY mpfr-branch_update-patch-md5 "2df45ded7bd8c5b987bb4af75ab1f21c">
-<!ENTITY mpfr-branch_update-patch-size "6 KB">
+<!ENTITY glibc-localedef_segfault-patch "glibc-&glibc-version;-localedef_segfault-1.patch">
+<!ENTITY glibc-localedef_segfault-patch-md5 "42452abc6196789e0a83afa1ca7e6e4e">
+<!ENTITY glibc-localedef_segfault-patch-size "1.9 KB">
 
-<!ENTITY ncurses-bashfix-patch "ncurses-&ncurses-version;-bash_fix-1.patch">
-<!ENTITY ncurses-bashfix-patch-md5 "c6f7f2ab0ebaf7721ebeb266641352db">
-<!ENTITY ncurses-bashfix-patch-size ".7 KB">
+<!ENTITY gzip-security_fix-patch "gzip-&gzip-version;-security_fixes-1.patch">
+<!ENTITY gzip-security_fix-patch-md5 "f107844f01fc49446654ae4a8f8a0728">
+<!ENTITY gzip-security_fix-patch-size "2 KB">
 
-<!ENTITY ncurses-branch_update-patch "ncurses-&ncurses-version;-branch_update-18.patch">
-<!ENTITY ncurses-branch_update-patch-md5 "6b17e03f6191a79f90666c25af0d758b">
-<!ENTITY ncurses-branch_update-patch-size "1,822">
+<!ENTITY inetutils-gcc4_fixes-patch "inetutils-&inetutils-version;-gcc4_fixes-3.patch">
+<!ENTITY inetutils-gcc4_fixes-patch-md5 "5204fbc503c9fb6a8e353583818db6b9">
+<!ENTITY inetutils-gcc4_fixes-patch-size "4.1 KB">
 
-<!ENTITY perl-cross_compile-patch "perl-&perl-version;-cross_compile-1.patch">
-<!ENTITY perl-cross_compile-patch-md5 "5efface8b393841a07c66a08dc7be847">
-<!ENTITY perl-cross_compile-patch-size "170 KB">
+<!ENTITY inetutils-man_pages-patch "inetutils-&inetutils-version;-no_server_man_pages-1.patch">
+<!ENTITY inetutils-man_pages-patch-md5 "eb477f532bc6d26e7025fcfc4452511d">
+<!ENTITY inetutils-man_pages-patch-size "1.3 KB">
 
-<!ENTITY readline-branch_update-patch "readline-&readline-version;-branch_update-1.patch">
-<!ENTITY readline-branch_update-patch-md5 "1113f58c09eebb9839c5fc4d692416d9">
-<!ENTITY readline-branch_update-patch-size "3 KB">
+<!ENTITY kbd-gcc4_fixes-patch "kbd-&kbd-version;-gcc4_fixes-1.patch">
+<!ENTITY kbd-gcc4_fixes-patch-md5 "615bc1e381ab646f04d8045751ed1f69">
+<!ENTITY kbd-gcc4_fixes-patch-size "1.5 KB">
 
-<!ENTITY shadow-sysroot_hacks-patch "shadow-&shadow-version;-sysroot_hacks-1.patch">
-<!ENTITY shadow-sysroot_hacks-patch-md5 "07ee28eff99b2c0ef68908fc947cf02c">
-<!ENTITY shadow-sysroot_hacks-patch-size "72 KB">
+<!ENTITY mktemp-tempfile-patch "mktemp-&mktemp-version;-add_tempfile-3.patch">
+<!ENTITY mktemp-tempfile-patch-md5 "65d73faabe3f637ad79853b460d30a19">
+<!ENTITY mktemp-tempfile-patch-size "3.6 KB">
 
-<!ENTITY sysvinit-fixes-patch "sysvinit-&sysvinit-version;-fixes-1.patch">
-<!ENTITY sysvinit-fixes-patch-md5 "405d23896b54ca61afd53003a62592fd">
-<!ENTITY sysvinit-fixes-patch-size "20 KB">
+<!ENTITY perl-libc-patch "perl-&perl-version;-libc-1.patch">
+<!ENTITY perl-libc-patch-md5 "80a0672509d5abb1f2e95e8d4ebfe65a">
+<!ENTITY perl-libc-patch-size "1.1 KB">
 
-<!ENTITY tar-man_page-patch "tar-&tar-version;-man_page-1.patch">
-<!ENTITY tar-man_page-patch-md5 "a8d01d18a3e550230302a5a52c686d25">
-<!ENTITY tar-man_page-patch-size "16 KB">
+<!ENTITY readline-fixes-patch "readline-&readline-version;-fixes-3.patch">
+<!ENTITY readline-fixes-patch-md5 "e30963cd5c6f6a11a23344af36cfa38c">
+<!ENTITY readline-fixes-patch-size "2.1 KB">
 
-<!ENTITY tar-new_compressors-patch "tar-&tar-version;-new_compressors-1.patch">
-<!ENTITY tar-new_compressors-patch-md5 "95a38ca73a39105a5aee528471c7fcc9">
-<!ENTITY tar-new_compressors-patch-size "2 KB">
+<!ENTITY sysklogd-fixes-patch "sysklogd-&sysklogd-version;-fixes-1.patch">
+<!ENTITY sysklogd-fixes-patch-md5 "508104f058d1aef26b3bc8059821935f">
+<!ENTITY sysklogd-fixes-patch-size "28 KB">
 
-<!ENTITY texinfo-new_compressors-patch "texinfo-&texinfo-version;-new_compressors-1.patch">
-<!ENTITY texinfo-new_compressors-patch-md5 "4ae2d3c132e21cb83b825bc691056d07">
-<!ENTITY texinfo-new_compressors-patch-size "2 KB">
+<!ENTITY tar-gcc4_fix-patch "tar-&tar-version;-gcc4_fix_tests-1.patch">
+<!ENTITY tar-gcc4_fix-patch-md5 "8e286a1394e6bcf2907f13801770a72a">
+<!ENTITY tar-gcc4_fix-patch-size "1.2 KB">
 
-<!ENTITY vim-branch_update-patch "vim-&vim-version;-branch_update-19.patch">
-<!ENTITY vim-branch_update-patch-md5 "6b17e03f6191a79f90666c25af0d758b">
-<!ENTITY vim-branch_update-patch-size "1,822 KB">
+<!ENTITY tar-security_fixes-patch "tar-&tar-version;-security_fixes-1.patch">
+<!ENTITY tar-security_fixes-patch-md5 "19876e726d9cec9ce1508e3af74dc22e">
+<!ENTITY tar-security_fixes-patch-size "3.9 KB">
 
-<!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-2.patch">
-<!ENTITY zlib-fpic-patch-md5 "b1e6644c97b04c368e11c0a1554f2efe">
-<!ENTITY zlib-fpic-patch-size "3 KB">
+<!ENTITY tar-sparse_fix-patch "tar-&tar-version;-sparse_fix-1.patch">
+<!ENTITY tar-sparse_fix-patch-md5 "9e3623f7c88d8766878ecb27c980d86a">
+<!ENTITY tar-sparse_fix-patch-size "1 KB">
+
+<!ENTITY texinfo-tempfile_fix-patch "texinfo-&texinfo-version;-tempfile_fix-2.patch">
+<!ENTITY texinfo-tempfile_fix-patch-md5 "559bda136a2ac7777ecb67511227af85">
+<!ENTITY texinfo-tempfile_fix-patch-size "2.2 KB">
+
+<!ENTITY util-linux-cramfs-patch "util-linux-&util-linux-version;-cramfs-1.patch">
+<!ENTITY util-linux-cramfs-patch-md5 "1c3f40b30e12738eb7b66a35b7374572">
+<!ENTITY util-linux-cramfs-patch-size "2.8 KB">
+
+<!ENTITY util-linux-gcc4_fixes-patch "util-linux-&util-linux-version;-gcc4_fixes-1.patch">
+<!ENTITY util-linux-gcc4_fixes-patch-md5 "6c030921dc9b92daf688f12a4ee6f6e0">
+<!ENTITY util-linux-gcc4_fixes-patch-size "1 KB">
+
+<!ENTITY vim-fixes-patch "vim-&vim-version;-fixes-3.patch">
+<!ENTITY vim-fixes-patch-md5 "ed158ebfb653b797b642fbff175addea">
+<!ENTITY vim-fixes-patch-size "20 KB">
+
+<!ENTITY zlib-fpic-patch "zlib-&zlib-version;-fPIC-1.patch">
+<!ENTITY zlib-fpic-patch-md5 "545d60b20bfde6f53023de44438cef59">
+<!ENTITY zlib-fpic-patch-size "3.2 KB">
Index: BOOK/stylesheets/lfs-chunked.xsl
===================================================================
--- BOOK/stylesheets/lfs-chunked.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/stylesheets/lfs-chunked.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,34 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+  <xsl:import href="lfs-chunked2.xsl"/>
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/chunk-common.xsl"/>
+  <xsl:include href="http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/manifest.xsl"/>
+
+    <!--  From the original chunk.xsl file:
+
+    Why is chunk-code now xsl:included?
+
+    Suppose you want to customize *both* the chunking algorithm used *and* the
+    presentation of some elements that may be chunks. In order to do that, you
+    must get the order of imports "just right". The answer is to make your own
+    copy of this file, where you replace the initial import of "docbook.xsl"
+    with an import of your own base.xsl (that does its own import of docbook.xsl).
+
+    Put the templates for changing the presentation of elements in your base.xsl.
+
+    Put the templates that control chunking after the include of chunk-code.xsl.
+
+    Voila! (Man I hope we can do this better in XSLT 2.0)  -->
+
+  <xsl:include href="http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/profile-chunk-code.xsl"/>
+
+    <!-- Including our others customized chunks templates -->
+  <xsl:include href="xhtml/lfs-legalnotice.xsl"/>
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-navigational.xsl"/>
+
+</xsl:stylesheet>
Index: BOOK/stylesheets/lfs-chunked2.xsl
===================================================================
--- BOOK/stylesheets/lfs-chunked2.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/stylesheets/lfs-chunked2.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,35 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+    <!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/docbook.xsl"/>
+  <xsl:param name="chunker.output.encoding" select="'ISO-8859-1'"/>
+
+    <!-- Including our others customized elements templates -->
+  <xsl:include href="xhtml/lfs-admon.xsl"/>
+  <xsl:include href="xhtml/lfs-sections.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/>
+  <xsl:include href="xhtml/lfs-titles.xsl"/>
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
+  <xsl:include href="xhtml/lfs-xref.xsl"/>
+
+    <!-- This file contains our localization strings (for internationalization) -->
+  <xsl:param name="local.l10n.xml" select="document('lfs-l10n.xml')"/>
+
+    <!-- The CSS Stylesheet -->
+  <xsl:param name="html.stylesheet" select="'../stylesheets/lfs.css'"/>
+  <xsl:template name='user.head.content'>
+     <link rel="stylesheet" href="../stylesheets/lfs-print.css" type="text/css" media="print"/>
+  </xsl:template>
+
+    <!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+
+    <!-- No XML declaration -->
+  <xsl:param name="chunker.output.omit-xml-declaration" select="'yes'"/>
+
+</xsl:stylesheet>
Index: BOOK/stylesheets/lfs-nochunks.xsl
===================================================================
--- BOOK/stylesheets/lfs-nochunks.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/stylesheets/lfs-nochunks.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,335 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns="http://www.w3.org/1999/xhtml"
+                version="1.0">
+
+    <!-- We use XHTML -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.69.1/xhtml/profile-docbook.xsl"/>
+
+    <!-- Fix encoding issues with default UTF-8 output of the xhtml stylesheet -->
+  <xsl:output method="html" encoding="ISO-8859-1" indent="no" />
+
+   <!-- Including our others customized templates -->
+  <xsl:include href="xhtml/lfs-index.xsl"/>
+  <xsl:include href="xhtml/lfs-mixed.xsl"/>
+  <xsl:include href="xhtml/lfs-sections.xsl"/>
+  <xsl:include href="xhtml/lfs-toc.xsl"/>
+  <xsl:include href="xhtml/lfs-xref.xsl"/>
+
+    <!-- This file contains our localization strings (for internationalization) -->
+  <xsl:param name="local.l10n.xml" select="document('lfs-l10n.xml')"/>
+
+    <!-- Dropping some unwanted style attributes -->
+  <xsl:param name="ulink.target" select="''"></xsl:param>
+  <xsl:param name="css.decoration" select="0"></xsl:param>
+
+    <!-- Don't use graphics in admonitions -->
+  <xsl:param name="admon.graphics" select="0"/>
+
+    <!-- Changing the admonitions output tagging -->
+  <xsl:template name="nongraphical.admonition">
+    <div class="{name(.)}">
+      <div class ="admonhead">
+        <h3 class="admontitle">
+          <xsl:apply-templates select="." mode="object.title.markup"/>
+        </h3>
+      </div>
+      <div class="admonbody">
+        <xsl:apply-templates/>
+      </div>
+    </div>
+  </xsl:template>
+
+    <!-- To drop the remainig dot when title is empty (from lfs-titles.xsl)-->
+  <xsl:template name="sect2.titlepage">
+    <xsl:choose>
+      <xsl:when test="string-length(title) = 0"/>
+      <xsl:otherwise>
+        <div class="titlepage">
+          <xsl:if test="@id">
+            <a id="{@id}" name="{@id}"/>
+          </xsl:if>
+          <h3 class="{name(.)}">
+            <xsl:apply-templates select="." mode="label.markup"/>
+            <xsl:text>. </xsl:text>
+            <xsl:value-of select="title"/>
+          </h3>
+        </div>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- Added the role param for proper punctuation in xref calls
+            (from lfs-titles.xsl). -->
+  <xsl:template match="*" mode="insert.title.markup">
+    <xsl:param name="purpose"/>
+    <xsl:param name="xrefstyle"/>
+    <xsl:param name="title"/>
+    <xsl:param name="role"/>
+    <xsl:choose>
+      <xsl:when test="$purpose = 'xref' and titleabbrev">
+        <xsl:apply-templates select="." mode="titleabbrev.markup"/>
+      </xsl:when>
+      <xsl:otherwise>
+        <xsl:copy-of select="$title"/>
+        <xsl:value-of select="$role"/>
+      </xsl:otherwise>
+    </xsl:choose>
+  </xsl:template>
+
+    <!-- The CSS Stylesheet -->
+  <xsl:template name='user.head.content'>
+    <style type="text/css">
+      <xsl:text>
+/* Global settings */
+body {
+  font-family: sans-serif;
+  text-align: left;
+  background: #fff;
+  color: #333;
+  margin: 1em;
+  padding: 0;
+  font-size: 1em;
+  line-height: 1.2em
+}
+
+a:link { color: #22b; }
+a:visited { color: #7e4988; }
+a:hover, a:focus { color: #d30e08; }
+a:active { color: #6b77b1;}
+
+/* Headers */
+h1, h2, b, strong {
+  color: #000;
+  font-weight: bold;
+}
+
+h3, h4, h5, h6 {
+  color: #222;
+}
+
+h1 { font-size: 173%; text-align: center; }
+h2 { font-size: 144%; }
+h2.subtitle { text-align: center; }
+h3 { font-size: 120%; padding-top: 0.2em; margin-top: 0.3em; }
+h4 { font-size: 110%;}
+h5, h6 { font-size: 110%; font-style: italic; }
+
+/* TOC and Index*/
+
+div.toc ul, div.index ul, div.navheader ul, div.navfooter ul {
+  list-style: none;
+}
+
+div.toc, div.dedication {
+  padding-left: 1em;
+}
+
+li.preface {
+  margin-left: 1em;
+}
+
+div.toc ul li h3, div.toc ul li h4 {
+  margin: .4em;
+}
+
+.item {
+    width: 15em;
+    float: left;
+}
+
+.secitem {
+    font-weight: normal;
+    width: 14em;
+    float: left;
+}
+
+/* Admonitions */
+div.note, div.tip {
+  background-color: #fffff6;
+  border: 2px solid #dbddec;
+  width: 90%;
+  margin: .5em auto;
+}
+
+div.important, div.warning, div.caution {
+  background-color: #fffff6;
+  border: medium solid #400;
+  width: 90%;
+  margin: 1.5em auto;
+  color: #600;
+  font-size: larger;
+}
+
+div.important h3, div.warning h3, div.caution h3 {
+  color: #900;
+}
+
+h3.admontitle {
+  padding-left: 2.5em;
+  padding-top: 1em;
+}
+
+div.admonbody {
+  margin: .5em;
+}
+
+div.important em, div.warning em, div.caution em {
+  color: #000;
+  font-weight: bold;
+}
+
+div.important tt, div.warning tt, div.caution tt {
+  font-weight: bold;
+}
+
+/* variablelist and segmentedlist */
+dl {
+  margin: 0;
+  padding: 0;
+}
+
+dt {
+  display: list-item;
+  font-weight: bold;
+  margin: .33em 0 0 1em;
+  padding: 0;
+}
+
+div.content dt {
+  list-style: none;
+}
+
+dd  {
+  margin: 0 0 1em 3em;
+  padding: 0;
+}
+
+div.variablelist dd {
+  margin-bottom: 1em;
+}
+
+div.variablelist dd p {
+  margin-top: 0px;
+}
+
+dl.materials dd {
+  margin-left: 0px;
+}
+
+div.segmentedlist {
+  margin-top: 1em;
+}
+
+div.segmentedlist p {
+  margin: 0px auto;
+}
+
+/* itemizedlist */
+
+div.itemizedlist {
+  margin-left: 1em;
+}
+
+/* Indented blocks */
+p, ul, dl, code, blockquote {
+  padding-left: 1em;
+}
+
+/* Monospaced elements */
+tt, code, kbd, pre, .command {
+  font-family: monospace;
+}
+
+pre.userinput {
+  color: #101310;
+  background-color: #e5e5e5;
+  border: 1px solid #050505;
+  padding: .5em 1em;
+  margin: 0 2em;
+  font-weight: bold;
+}
+
+pre.screen {
+  background-color: #e9e9e9;
+  border: 1px solid #050505;
+  padding: .5em 1em;
+  margin: 0 2em;
+}
+
+/* Sections */
+div.package {
+  background: #f5f6f7;
+  border-bottom: 0.2em solid #dbddec;
+  padding: 0.5em 0.5em 0.3em 0.5em;
+  margin: 0px auto;
+}
+
+div.installation {
+  padding: 0 0.5em 0.3em 0.5em;
+  margin: 0.5em 0 0.5em 0;
+}
+
+div.configuration {
+  background:   #fefefe;
+  border-top: 0.2em solid #dbddec;
+  padding: 0.5em;
+  margin: 0.5em 0 .5em 0;
+}
+
+div.content {
+  background: #f5f6f7;
+  border-top: 0.2em solid #dbddec;
+  border-bottom: 0.2em solid #dbddec;
+  padding: 0.5em 0.5em 1em 0.5em;
+  margin: 0.5em 0 .5em 0;
+}
+
+div.installation h3.title, div.content h3.title {
+  padding-top: 0.3em;
+  margin: 0;
+}
+
+div.book, div.preface, div.part, div.chapter, div.sect1, div.index {
+  padding-bottom: 0.5em;
+}
+
+div.preface h2, div.part h1, div.chapter h2.title, div.sect1 h2.title, div.index h1 {
+  background: #f5f6f7;
+  border-bottom: .2em solid #dbddec;
+  border-top: .2em solid #dbddec;
+  margin-top 1em;
+  padding: .5em;
+  text-align: center;
+}
+
+div.book h1 {
+  background: #f5f6f7;
+  margin: 0px auto;
+  padding: 0.5em;
+}
+
+div.book h2.subtitle {
+  background: #dbddec;
+  margin: 0px auto;
+  padding: 0.2em;
+}
+div.authorgroup, div p.copyright, div.abstract {
+  background: #f5f6f7;
+  margin: 0px auto;
+  padding:  1em 0.5em;
+}
+
+hr {
+  background: #dbddec;
+  height: .3em;
+  border: 0px;
+  margin: 0px auto;
+  padding: 0;
+}
+      </xsl:text>
+    </style>
+  </xsl:template>
+
+</xsl:stylesheet>
Index: BOOK/stylesheets/lfs-pdf.xsl
===================================================================
--- BOOK/stylesheets/lfs-pdf.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/stylesheets/lfs-pdf.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,56 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                xmlns:fo="http://www.w3.org/1999/XSL/Format"
+                version="1.0">
+    <!-- We use FO and FOP as the processor -->
+  <xsl:import href="http://docbook.sourceforge.net/release/xsl/1.69.1/fo/docbook.xsl"/>
+  <xsl:param name="fop.extensions" select="1"/>
+  <xsl:param name="draft.mode" select="'no'"/>
+
+    <!-- Including our others customized templates -->
+  <xsl:include href="pdf/lfs-index.xsl"/>
+  <xsl:include href="pdf/lfs-pagesetup.xsl"/>
+  <xsl:include href="pdf/lfs-sections.xsl"/>
+  <xsl:include href="pdf/lfs-admon.xsl"/>
+  <xsl:include href="pdf/lfs-mixed.xsl"/>
+  <xsl:include href="pdf/lfs-xref.xsl"/>
+
+    <!-- This file contains our localization strings (for internationalization) -->
+  <xsl:param name="local.l10n.xml" select="document('lfs-l10n.xml')"/>
+
+   <!-- Standart paper size -->
+  <xsl:param name="paper.type" select="'letter'"/>
+
+    <!-- Paper size required by the publisher
+  <xsl:param name="paper.type" select="'Customized'"/>
+  <xsl:param name="page.width">7.25in</xsl:param>
+  <xsl:param name="page.height">9.25in</xsl:param>
+    -->
+
+    <!-- Printing Style -->
+    <!-- Change "double.sided" to "1" for published versions -->
+  <xsl:param name="double.sided" select="0"/>
+  <xsl:param name="hyphenate">false</xsl:param>
+  <xsl:param name="alignment">justify</xsl:param>
+
+    <!-- Font size -->
+  <xsl:param name="body.font.master">9</xsl:param>
+  <xsl:param name="body.font.size">12pt</xsl:param>
+
+    <!-- TOC stuff -->
+  <xsl:param name="generate.toc">
+    book      toc
+    part      nop
+  </xsl:param>
+  <xsl:param name="toc.section.depth">1</xsl:param>
+  <xsl:param name="generate.section.toc.level" select="-1"></xsl:param>
+  <xsl:param name="toc.indent.width" select="18"></xsl:param>
+
+    <!-- Page number in Xref ?-->
+  <xsl:param name="insert.xref.page.number">no</xsl:param>
+
+    <!-- Prevent duplicate e-mails in the Acknowledgments pages-->
+  <xsl:param name="ulink.show" select="0"/>
+
+</xsl:stylesheet>
Index: BOOK/stylesheets/lfs-profile.xsl
===================================================================
--- BOOK/stylesheets/lfs-profile.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/stylesheets/lfs-profile.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,35 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+                version="1.0">
+
+  <!-- Include common profiling stylesheet -->
+  <xsl:include href="http://docbook.sourceforge.net/release/xsl/1.69.1/profiling/profile-mode.xsl"/>
+
+  <!-- Generate DocBook instance with correct DOCTYPE -->
+  <xsl:output method="xml"
+              doctype-public="-//OASIS//DTD DocBook XML V4.4//EN"
+              doctype-system="http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"/>
+
+  <!-- Profiling parameters -->
+  <xsl:param name="profile.arch" select="''"/>
+  <xsl:param name="profile.condition" select="''"/>
+  <xsl:param name="profile.conformance" select="''"/>
+  <xsl:param name="profile.lang" select="''"/>
+  <xsl:param name="profile.os" select="''"/>
+  <xsl:param name="profile.revision" select="''"/>
+  <xsl:param name="profile.revisionflag" select="''"/>
+  <xsl:param name="profile.role" select="''"/>
+  <xsl:param name="profile.security" select="''"/>
+  <xsl:param name="profile.userlevel" select="''"/>
+  <xsl:param name="profile.vendor" select="''"/>
+  <xsl:param name="profile.attribute" select="''"/>
+  <xsl:param name="profile.value" select="''"/>
+  <xsl:param name="profile.separator" select="';'"/>
+
+  <!-- Call common profiling mode -->
+  <xsl:template match="/">
+    <xsl:apply-templates select="." mode="profile"/>
+  </xsl:template>
+
+</xsl:stylesheet>
Index: BOOK/stylesheets/lfs-tex.xsl
===================================================================
--- BOOK/stylesheets/lfs-tex.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
+++ BOOK/stylesheets/lfs-tex.xsl	(revision 02095ae2677b1a04865e7362509b6a5c1647e4e2)
@@ -0,0 +1,76 @@
+<?xml version='1.0' encoding='ISO-8859-1'?>
+
+<!-- Created by Larry Lawrence <larry@linuxfromscratch.org> -->
+
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+version='1.0'>
+
+<xsl:import href="http://db2latex.sourceforge.net/xsl/docbook.xsl"/>
+<xsl:output method="text" encoding="ISO-8859-1" indent="yes"/>
+<xsl:variable name="latex.override">
+
+\documentclass[12pt]{book}
+
+\usepackage{lfs}
+\usepackage{fancyhdr}
+\usepackage{fancyvrb}
+\usepackage{makeidx}
+\usepackage{hyperref}
+\usepackage{fancybox}
+
+\oddsidemargin -0.5in
+\evensidemargin -0.625in
+\textwidth 7in
+\textheight 8.5in
+
+%\ifx\pdfoutput\undefined
+%\else
+%\pdfpagewidth=7in
+%\pdfpageheight=8.5in
+%\fi
+
+\pagestyle{fancy}
+\newenvironment{admonition}[2] {
+ \vspace{8mm}
+ \hspace{0mm}\newline
+ \noindent
+}
+
+
+\fancyhf{}
+\fancyhead[LE,RO]{\bfseries\thepage}
+\fancyhead[LO]{\bfseries\rightmark}
+\fancyhead[RE]{\bfseries\leftmark}
+\renewcommand{\headrulewidth}{0.5pt}
+\renewcommand{\footrulewidth}{0pt}
+\addtolength{\headheight}{3pt}
+\fancypagestyle{plain}{%
+  \fancyhead{}
+  \renewcommand{\headrulewidth}{0pt}
+}
+
+
+\hyphenation{change-log cpp-flags ctrlaltdel ma-cros chil-ton}
+
+<!-- adds \frontmatter to document -->
+
+</xsl:variable>
+
+<xsl:variable name="toc.section.depth">1</xsl:variable>
+
+<xsl:variable name="latex.book.begindocument">
+        <xsl:text>\begin{document}&#10;</xsl:text>
+        <xsl:text>\frontmatter&#10;</xsl:text>
+</xsl:variable>
+
+<!-- This put each section on a new page in the preface section -->
+
+<xsl:template match="preface/sect1">
+        <xsl:text>&#10;</xsl:text>
+        <xsl:text>\newpage&#10;</xsl:text>
+        <xsl:text>\section*{</xsl:text><xsl:copy-of
+select="normalize-space(title)"/><xsl:text>}&#10;</xsl:text>
+        <xsl:apply-templates/>
+</xsl:template>
+
+</xsl:stylesheet>
